Bug 374491 - RFE: Network aware X Windows applet for notification/status of md devices
RFE: Network aware X Windows applet for notification/status of md devices
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 06:34 EST by cje
Modified: 2014-07-01 08:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2007-11-10 06:34:14 EST
hello,

i had a power failure today and now my software raid array is rebuilding.

i thought it'd be nice to have a notification popup when i log in telling me
it's rebuilding and when it's estimated it'll finish (time of day rather than
time remaining) plus a 'click here for details' for a little python app to
display the live contents of /proc/mdstat.  then a notification when the rebuild
is complete.

also notifications for failed drives would be ace.  that should be written in
the hope of one day making it network aware so i can get notifications on my
desktop of drive failures on my servers.

i'm assuming this is a job for python, dbus and maybe hal.

if anyone can suggest similar bits of software (monitor system state, provide
notifications, small python apps presenting simple system info) then i'd be
fairly keen to code this myself.

:-)
Comment 1 Doug Ledford 2008-06-24 15:17:34 EDT
I don't have any suggested similar software, but you might want to address this
request to Neil Brown <neilb@cse.unsw.edu.au> as he's the upstream mdadm
maintainer (as well as the kernel md stack maintainer).  This request probably
rightly belongs to mdadm (raidtools is long since dead).  I'll update the
component to mdadm, however I likely won't have time to work on anything like
this (and it's a bit out of my normal programming realm anyway, so I'm not the
best person to work on it regardless).  If you can get feedback from Neil and
feel like working on it, by all means do so and I'll look at updating our mdadm
with whatever you come up with.
Comment 2 Doug Ledford 2009-09-15 15:49:03 EDT
The gnome-disk-utility is able to deal with md raid devices and might be a more appropriate place for a feature like this to exist.
Comment 3 cje 2009-09-15 17:04:50 EDT
ah, sorry, i'd been meaning to update this bug for a while.

i did actually write a little python app for this - and it worked!

i have a feeling i've seen a RAID failure popup from palipsest since i installed F11 on one machine.  is gdu-notification-daemon already meant to do that?  i've just tried running it (it's in my startup apps but didn't appear to be running already) and did some hot-fail/remove/add mdadm commands but no pop-ups appeared.
Comment 4 Fedora Admin XMLRPC Client 2013-02-04 08:22:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-16 11:49:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2014-02-17 10:36:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2014-07-01 08:17:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.